Plugin Failed

Every time I try to install the framemarket plugin it gives me an error message that the package couldn't be installed because no valid plugins were found. Does anyone know how to fix this? I've tried deleting & downloading the plugin & reinstalling it but nothing seems to work.